QScintilla: QextScintillaLexerDiff Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaLexerDiff Class Reference

The QextScintillaLexerDiff class encapsulates the Scintilla Diff lexer. More...

`#include <qextscintillalexerdiff.h>`

Inherits QextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Comment = 1
- Command = 2
- Header = 3
- Position = 4
- LineRemoved = 5
- LineAdded = 6
- enum {
  Default = 0, Comment = 1, Command = 2,
  Header = 3, Position = 4, LineRemoved = 5,
  LineAdded = 6
  }

## Public Member Functions

- QextScintillaLexerDiff (QObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerDiff ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- QColor color (int style) const
- QString description (int style) const

## Detailed Description

The QextScintillaLexerDiff class encapsulates the Scintilla Diff lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Diff lexer.

Enumerator:

  Default | The default.
  Comment | A comment.
  Command | A command.
  Header | A header.
  Position | A position.
  LineRemoved | A removed line.
  LineAdded | An added line.

## Constructor & Destructor Documentation

QextScintillaLexerDiff::QextScintillaLexerDiff | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerDiff with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerDiff::~QextScintillaLexerDiff | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerDiff instance.

## Member Function Documentation

const char* QextScintillaLexerDiff::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QextScintillaLexer.

const char* QextScintillaLexerDiff::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QextScintillaLexer.

QColor QextScintillaLexerDiff::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexer.

QString QextScintillaLexerDiff::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then QString::null is returned. This is intended to be used in user preference dialogs.

Implements QextScintillaLexer.